package com.ss.android.ugc.aweme.tools.mvtemplate.net;

import X.M12;
import com.bytedance.covode.number.Covode;
import com.google.gson.a.c;

public final class VideoItem {
    public String algorithm = "";
    public String content;
    @c(LIZ = "video_conf")
    public String jsonResult = "";

    static {
        Covode.recordClassIndex(120257);
    }

    public final String getAlgorithm() {
        return this.algorithm;
    }

    public final String getContent() {
        return this.content;
    }

    public final String getJsonResult() {
        return this.jsonResult;
    }

    public final void setContent(String str) {
        this.content = str;
    }

    public final void setAlgorithm(String str) {
        M12.LIZ(str);
        this.algorithm = str;
    }

    public final void setJsonResult(String str) {
        M12.LIZ(str);
        this.jsonResult = str;
    }
}
